Package org.gradle.api.publish.maven

## Interface MavenDependency

-     public interface MavenDependency

  A dependency declared as part of an `MavenPublication`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getArtifactId()` | The artifactId value for this dependency.
    `java.lang.String` | `getGroupId()` | The groupId value for this dependency.
    `java.lang.String` | `getType()` | The type value for this dependency.
    `java.lang.String` | `getVersion()` | The version value for this dependency.

- - ### Method Detail

    - #### getGroupId

          java.lang.String getGroupId()

      The groupId value for this dependency.

    - #### getArtifactId

          java.lang.String getArtifactId()

      The artifactId value for this dependency.

    - #### getVersion

          java.lang.String getVersion()

      The version value for this dependency.

    - #### getType

          @Nullable
          java.lang.String getType()

      The type value for this dependency.